## git-extras 1.7.0

=== Makefile ===
PREFIX ?= /usr/local
MANPREFIX ?= "$(PREFIX)/share/man/man1"
BINS = $(wildcard bin/git-*)
MANS = $(wildcard man/git-*.md)
MAN_HTML = $(MANS:.md=.html)
MAN_PAGES = $(MANS:.md=.1)

install:
	@mkdir -p $(DESTDIR)$(MANPREFIX)
	@mkdir -p $(DESTDIR)$(PREFIX)/bin
	@echo "... installing bins to $(DESTDIR)$(PREFIX)/bin"
	@echo "... installing man pages to $(DESTDIR)$(MANPREFIX)"
	@$(foreach BIN, $(BINS), \
		echo "... installing `basename $(BIN)`"; \
		cp -f $(BIN) $(DESTDIR)$(PREFIX)/$(BIN); \
	)
	cp -f man/git-*.1 $(DESTDIR)$(MANPREFIX)
	@mkdir -p $(DESTDIR)/etc/bash_completion.d
	cp -f etc/bash_completion.sh $(DESTDIR)/etc/bash_completion.d/git-extras

docs: $(MAN_HTML) $(MAN_PAGES)

man/%.html: man/%.md
	ronn \
		--manual "Git Extras" \
		--html \
		--pipe \
		$< > $@

man/%.1: man/%.md
	ronn -r \
		--manual "Git Extras" \
		--pipe \
		$< > $@

uninstall:
	@$(foreach BIN, $(BINS), \
		echo "... uninstalling $(DESTDIR)$(PREFIX)/$(BIN)"; \
		rm -f $(DESTDIR)$(PREFIX)/$(BIN); \
	)
	@$(foreach MAN, $(MAN_PAGES), \
		echo "... uninstalling $(DESTDIR)$(MANPREFIX)/$(MAN)"; \
		rm -f $(DESTDIR)$(MANPREFIX)/$(MAN); \
	)
	rm -f $(DESTDIR)/etc/bash_completion.d/git-extras

clean: docclean

docclean:
	rm -f man/*.1
	rm -f man/*.html

.PHONY: docs clean docclean install uninstall

=== debian/changelog ===
git-extras (1.7.0-1) unstable; urgency=low

  * Initial release (Closes: #632113)

 -- Jesús Espino <jespinog@gmail.com>  Fri, 22 Jun 2012 20:01:27 +0200

=== debian/control ===
Source: git-extras
Section: vcs
Priority: extra
Maintainer: Jesús Espino <jespinog@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ruby-ronn (>= 0.7.3)
Standards-Version: 3.9.3
Homepage: http://github.com/visionmedia/git-extras

Package: git-extras
Architecture: all
Depends: ${misc:Depends}, git (>= 1.7.0)
Description: Extra commands for git
 This package provides extra git commands to easily solve typical tasks such as
 managing remote branches, managing feature/refactor/bug workflows and generate
 some repository stats.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_auto_build:
	dh_auto_build -- docs

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr

## git-extras 1.9.0

=== Makefile ===
--- 
+++ 
@@ -4,6 +4,8 @@
 MANS = $(wildcard man/git-*.md)
 MAN_HTML = $(MANS:.md=.html)
 MAN_PAGES = $(MANS:.md=.1)
+
+docs: $(MAN_HTML) $(MAN_PAGES)
 
 install:
 	@mkdir -p $(DESTDIR)$(MANPREFIX)
@@ -17,8 +19,6 @@
 	cp -f man/git-*.1 $(DESTDIR)$(MANPREFIX)
 	@mkdir -p $(DESTDIR)/etc/bash_completion.d
 	cp -f etc/bash_completion.sh $(DESTDIR)/etc/bash_completion.d/git-extras
-
-docs: $(MAN_HTML) $(MAN_PAGES)
 
 man/%.html: man/%.md
 	ronn \

=== debian/changelog ===
git-extras (1.9.0-1) unstable; urgency=low

  * New upstream release, git-bug has a manpage now (closes: #683145).
  * Drop git-rename-tag-add-shebang patch applied upstream.
  * Drop fix-git-ignore-manpage patch as no longer relevant.
  * New maintainer.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 11 Nov 2013 08:48:06 +0000

git-extras (1.7.0-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * git-changelog, git-effort: Correct unsafe temporary file usage
    (Closes: #698490)

 -- Jonathan Wiltshire <jmw@debian.org>  Sun, 20 Jan 2013 18:07:43 +0000

git-extras (1.7.0-1.1) unstable; urgency=low

  * Non-maintainer upload to fix Release Critical bug.
  * Remove the git-gh-pages command, due to it being unsafe and undocumented.
    Closes: #686833.
  * Fix git-ignore manpage that had some errors.  Added:
    debian/patches/fix-git-ignore-manpage

 -- Margarita Manterola <marga@debian.org>  Sat, 08 Sep 2012 13:35:20 +0100

=== debian/control ===
Source: git-extras
Section: vcs
Priority: extra
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper (>= 9), ruby-ronn (>= 0.7.3)
Standards-Version: 3.9.5
Homepage: http://github.com/visionmedia/git-extras

Package: git-extras
Architecture: all
Depends: git (>= 1.7.0), ${misc:Depends}
Description: Extra commands for git
 This package provides extra git commands to easily solve typical tasks such as
 managing remote branches, managing feature/refactor/bug workflows and generate
 some repository stats.

=== debian/rules ===
--- 
+++ 
@@ -12,3 +12,6 @@
 
 override_dh_auto_install:
 	dh_auto_install -- PREFIX=/usr
+	rm debian/git-extras/usr/bin/git-gh-pages
+
+.PHONY: override_dh_auto_build override_dh_auto_install

=== debian/watch ===
version=3
http://githubredir.debian.net/github/visionmedia/git-extras/ (.+).tar.gz

## git-extras 1.9.1

=== debian/changelog ===
git-extras (1.9.1-2) unstable; urgency=medium

  * Update watch file.
  * Update Standards-Version to 3.9.6 .

  [ Andrew Starr-Bochicchio <asb@debian.org> ]
  * git-fresh-branch: Check for changes and prompt for input
    before deleting untracked changes. Backported from
    upstream (closes: #779784).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 10 Mar 2015 05:42:41 +0000

git-extras (1.9.1-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 01 Sep 2014 17:06:36 +0000

## git-extras 3.0.0

=== Makefile ===
PREFIX ?= /usr/local
BINPREFIX ?= "$(PREFIX)/bin"
MANPREFIX ?= "$(PREFIX)/share/man/man1"
BINS = $(wildcard bin/git-*)
MANS = $(wildcard man/git-*.md)
MAN_HTML = $(MANS:.md=.html)
MAN_PAGES = $(MANS:.md=.1)
LIB = "helper/reset-env" "helper/git-extra-utility"

COMMANDS_USED_WITHOUT_GIT_REPO = git-alias git-extras git-fork git-setup
COMMANDS_USED_WITH_GIT_REPO = $(filter-out $(COMMANDS_USED_WITHOUT_GIT_REPO), \
							  $(subst bin/, , $(BINS)))

docs: $(MAN_HTML) $(MAN_PAGES)

install:
	@mkdir -p $(DESTDIR)$(MANPREFIX)
	@mkdir -p $(DESTDIR)$(BINPREFIX)
	@echo "... installing bins to $(DESTDIR)$(BINPREFIX)"
	@echo "... installing man pages to $(DESTDIR)$(MANPREFIX)"
	$(eval TEMPFILE := $(shell mktemp -t git-extra.XXX))
	@# chmod from rw-------(default) to rwxrwxr-x, so that users can exec the scripts
	@chmod 775 $(TEMPFILE)
	@$(foreach COMMAND, $(COMMANDS_USED_WITH_GIT_REPO), \
		echo "... installing $(COMMAND)"; \
		head -1 bin/$(COMMAND) | cat - $(LIB) ./helper/is-git-repo > $(TEMPFILE); \
		tail -n +2 bin/$(COMMAND) >> $(TEMPFILE); \
		cp -f $(TEMPFILE) $(DESTDIR)$(BINPREFIX)/$(COMMAND); \
	)
	@$(foreach COMMAND, $(COMMANDS_USED_WITHOUT_GIT_REPO), \
		echo "... installing $(COMMAND)"; \
		head -1 bin/$(COMMAND) | cat - $(LIB) > $(TEMPFILE); \
		tail -n +2 bin/$(COMMAND) >> $(TEMPFILE); \
		cp -f $(TEMPFILE) $(DESTDIR)$(BINPREFIX)/$(COMMAND); \
	)
	@if [ -z "$(wildcard man/git-*.1)" ]; then \
		echo "WARNING: man pages not created, use 'make docs' (which requires 'ronn' ruby lib)"; \
	else \
		cp -f man/git-*.1 $(DESTDIR)$(MANPREFIX); \
		echo "cp -f man/git-*.1 $(DESTDIR)$(MANPREFIX)"; \
	fi
	@mkdir -p $(DESTDIR)/etc/bash_completion.d
	cp -f etc/bash_completion.sh $(DESTDIR)/etc/bash_completion.d/git-extras

man/%.html: man/%.md
	ronn \
		--manual "Git Extras" \
		--html \
		--pipe \
		$< > $@

man/%.1: man/%.md
	ronn -r \
		--manual "Git Extras" \
		--pipe \
		$< > $@

uninstall:
	@$(foreach BIN, $(BINS), \
		echo "... uninstalling $(DESTDIR)$(BINPREFIX)/$(notdir $(BIN))"; \
		rm -f $(DESTDIR)$(BINPREFIX)/$(notdir $(BIN)); \
	)
	@$(foreach MAN, $(MAN_PAGES), \
		echo "... uninstalling $(DESTDIR)$(MANPREFIX)/$(notdir $(MAN))"; \
		rm -f $(DESTDIR)$(MANPREFIX)/$(notdir $(MAN)); \
	)
	rm -f $(DESTDIR)/etc/bash_completion.d/git-extras

clean: docclean

docclean:
	rm -f man/*.1
	rm -f man/*.html

.PHONY: docs clean docclean install uninstall

=== debian/changelog ===
git-extras (3.0.0-1) unstable; urgency=low

  * New upstream release (closes: #797497).
  * Install bash completion files.
  * Remove obsolete patches.
  * Update escape_line_dot_start.patch and remove_utf-8_from_manpages.patch .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 01 Sep 2015 18:13:47 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PKGDIR=$(CURDIR)/debian/git-extras/

%:
	dh $@ 

override_dh_auto_build:
	dh_auto_build -- docs

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr
	rm $(PKGDIR)/usr/bin/git-gh-pages

.PHONY: override_dh_auto_build override_dh_auto_install

## git-extras 4.0.0

=== debian/changelog ===
git-extras (4.0.0-1) unstable; urgency=low

  * New upstream release.
  * Update patches.

  [ Ben Finney <ben+debian@benfinney.id.au> ]
  * Unset GREP_OPTIONS to prevent deprecation warning (closes: #806393).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 06 Jan 2016 20:39:16 +0100

## git-extras 4.1.0

=== Makefile ===
PREFIX ?= /usr/local
BINPREFIX ?= "$(PREFIX)/bin"
MANPREFIX ?= "$(PREFIX)/share/man/man1"
SYSCONFDIR ?= $(PREFIX)/etc
BINS = $(wildcard bin/git-*)
MANS = $(wildcard man/git-*.md)
MAN_HTML = $(MANS:.md=.html)
MAN_PAGES = $(MANS:.md=.1)
# Libraries used by all commands
LIB = "helper/reset-env" "helper/git-extra-utility"

COMMANDS = $(subst bin/, , $(BINS))

default: install

docs: $(MAN_HTML) $(MAN_PAGES)

install:
	@mkdir -p $(DESTDIR)$(MANPREFIX)
	@mkdir -p $(DESTDIR)$(BINPREFIX)
	@echo "... installing bins to $(DESTDIR)$(BINPREFIX)"
	@echo "... installing man pages to $(DESTDIR)$(MANPREFIX)"
	$(eval TEMPFILE := $(shell mktemp -q $${TMPDIR:-/tmp}/git-extras.XXXXXX 2>/dev/null || mktemp -q))
	@# chmod from rw-------(default) to rwxrwxr-x, so that users can exec the scripts
	@chmod 775 $(TEMPFILE)
	$(eval EXISTED_ALIASES := $(shell \
		git config --get-regexp 'alias.*' | awk '{print "git-" substr($$1, 7)}'))
	@$(foreach COMMAND, $(COMMANDS), \
		disable=''; \
		if test ! -z "$(filter $(COMMAND), $(EXISTED_ALIASES))"; then \
			read -p "$(COMMAND) conflicts with an alias, still install it and disable the alias? [y/n]" answer; \
			test "$$answer" = 'n' -o "$$answer" = 'N' && disable="true"; \
		fi; \
		if test -z "$$disable"; then \
			echo "... installing $(COMMAND)"; \
			head -1 bin/$(COMMAND) > $(TEMPFILE); \
			cat $(LIB) >> $(TEMPFILE); \
			if ! grep "$(COMMAND)" not_need_git_repo >/dev/null; then \
				cat ./helper/is-git-repo >> $(TEMPFILE); \
			fi; \
			tail -n +2 bin/$(COMMAND) >> $(TEMPFILE); \
			cp -f $(TEMPFILE) $(DESTDIR)$(BINPREFIX)/$(COMMAND); \
		fi; \
	)
	@if [ -z "$(wildcard man/git-*.1)" ]; then \
		echo "WARNING: man pages not created, use 'make docs' (which requires 'ronn' ruby lib)"; \
	else \
		cp -f man/git-*.1 $(DESTDIR)$(MANPREFIX); \
		echo "cp -f man/git-*.1 $(DESTDIR)$(MANPREFIX)"; \
	fi
	@mkdir -p $(DESTDIR)$(SYSCONFDIR)/bash_completion.d
	cp -f etc/bash_completion.sh $(DESTDIR)$(SYSCONFDIR)/bash_completion.d/git-extras

man/%.html: man/%.md
	ronn \
		--manual "Git Extras" \
		--html \
		--pipe \
		$< > $@

man/%.1: man/%.md
	ronn -r \
		--manual "Git Extras" \
		--pipe \
		$< > $@

uninstall:
	@$(foreach BIN, $(BINS), \
		echo "... uninstalling $(DESTDIR)$(BINPREFIX)/$(notdir $(BIN))"; \
		rm -f $(DESTDIR)$(BINPREFIX)/$(notdir $(BIN)); \
	)
	@$(foreach MAN, $(MAN_PAGES), \
		echo "... uninstalling $(DESTDIR)$(MANPREFIX)/$(notdir $(MAN))"; \
		rm -f $(DESTDIR)$(MANPREFIX)/$(notdir $(MAN)); \
	)
	rm -f $(DESTDIR)$(SYSCONFDIR)/bash_completion.d/git-extras

clean: docclean

docclean:
	rm -f man/*.1
	rm -f man/*.html

.PHONY: default docs clean docclean install uninstall

=== debian/changelog ===
git-extras (4.1.0-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 30 Jan 2016 11:21:09 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper (>= 9), ruby-ronn (>= 0.7.3)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://github.com/visionmedia/git-extras
 
 Package: git-extras

=== debian/rules ===
--- 
+++ 
@@ -6,14 +6,14 @@
 
 PKGDIR=$(CURDIR)/debian/git-extras/
 
-%:
-	dh $@ 
-
 override_dh_auto_build:
 	dh_auto_build -- docs
 
 override_dh_auto_install:
-	dh_auto_install -- PREFIX=/usr
+	dh_auto_install -- PREFIX=/usr SYSCONFDIR=/usr/share
 	rm $(PKGDIR)/usr/bin/git-gh-pages
 
+%:
+	dh $@ 
+
 .PHONY: override_dh_auto_build override_dh_auto_install

## git-extras 4.2.0

=== Makefile ===
--- 
+++ 
@@ -50,6 +50,8 @@
 	fi
 	@mkdir -p $(DESTDIR)$(SYSCONFDIR)/bash_completion.d
 	cp -f etc/bash_completion.sh $(DESTDIR)$(SYSCONFDIR)/bash_completion.d/git-extras
+	@echo ""
+	@echo "If you are a zsh user, you may want to 'source etc/git-extra-completion.zsh' and put this line into ~/.zshrc to enable zsh completion"
 
 man/%.html: man/%.md
 	ronn \

=== debian/changelog ===
git-extras (4.2.0-1) unstable; urgency=low

  * New upstream release.
  * Refresh update_bash_completion_path patch (closes: #824371).
  * Install zsh completion.
  * Update Standards-Version to 3.9.8 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 07 Nov 2016 18:26:49 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper (>= 9), ruby-ronn (>= 0.7.3)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://github.com/visionmedia/git-extras
 
 Package: git-extras

## git-extras 4.3.0

=== Makefile ===
--- 
+++ 
@@ -37,6 +37,9 @@
 			cat $(LIB) >> $(TEMPFILE); \
 			if ! grep "$(COMMAND)" not_need_git_repo >/dev/null; then \
 				cat ./helper/is-git-repo >> $(TEMPFILE); \
+			fi; \
+			if grep "$(COMMAND)" need_git_commit >/dev/null; then \
+				cat ./helper/has-git-commit >> $(TEMPFILE); \
 			fi; \
 			tail -n +2 bin/$(COMMAND) >> $(TEMPFILE); \
 			cp -f $(TEMPFILE) $(DESTDIR)$(BINPREFIX)/$(COMMAND); \

=== debian/changelog ===
git-extras (4.3.0-1) unstable; urgency=low

  * New upstream release (closes: #864540).
  * Update the remove_utf-8_from_manpages patch.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 17 Jun 2017 05:33:08 +0000

## git-extras 4.4.0

=== debian/changelog ===
git-extras (4.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Update patches.
  * Change priority to optional as in the override.
  * Update Standards-Version to 4.1.1 and debhelper level to 10 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 03 Oct 2017 07:27:52 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: git-extras
 Section: vcs
-Priority: extra
+Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 9), ruby-ronn (>= 0.7.3)
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 10), ruby-ronn (>= 0.7.3)
+Standards-Version: 4.1.1
 Homepage: http://github.com/visionmedia/git-extras
 
 Package: git-extras

## git-extras 4.5.0

=== Makefile ===
--- 
+++ 
@@ -6,6 +6,8 @@
 MANS = $(wildcard man/git-*.md)
 MAN_HTML = $(MANS:.md=.html)
 MAN_PAGES = $(MANS:.md=.1)
+CODE_DIR := $(dir $(abspath $(lastword $(MAKEFILE_LIST))))
+INSTALL_VIA ?= source
 # Libraries used by all commands
 LIB = "helper/reset-env" "helper/git-extra-utility"
 
@@ -16,6 +18,9 @@
 docs: $(MAN_HTML) $(MAN_PAGES)
 
 install:
+	@if [ "$(INSTALL_VIA)" = brew ]; then \
+		git apply brew-release.patch || { echo "Can't apply brew release patch"; exit 1; } \
+	fi
 	@mkdir -p $(DESTDIR)$(MANPREFIX)
 	@mkdir -p $(DESTDIR)$(BINPREFIX)
 	@echo "... installing bins to $(DESTDIR)$(BINPREFIX)"
@@ -54,7 +59,8 @@
 	@mkdir -p $(DESTDIR)$(SYSCONFDIR)/bash_completion.d
 	cp -f etc/bash_completion.sh $(DESTDIR)$(SYSCONFDIR)/bash_completion.d/git-extras
 	@echo ""
-	@echo "If you are a zsh user, you may want to 'source etc/git-extra-completion.zsh' and put this line into ~/.zshrc to enable zsh completion"
+	@echo "If you are a zsh user, you may want to 'source $(CODE_DIR)/etc/git-extras-completion.zsh'" \
+		"and put this line into ~/.zshrc to enable zsh completion"
 
 man/%.html: man/%.md
 	ronn \

=== debian/changelog ===
git-extras (4.5.0-2) unstable; urgency=medium

  * Change ruby-ronn build dependency to ronn (closes: #903062).
  * Update Standards-Version to 4.1.5 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 11 Jul 2018 13:39:46 +0000

git-extras (4.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Update debhelper level to 11 .
  * Update Standards-Version to 4.1.3 .
  * Update homepage location (closes: #879092).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 24 Feb 2018 20:55:03 +0000

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: vcs
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 10), ruby-ronn (>= 0.7.3)
-Standards-Version: 4.1.1
-Homepage: http://github.com/visionmedia/git-extras
+Build-Depends: debhelper (>= 11), ronn
+Standards-Version: 4.1.5
+Homepage: https://github.com/tj/git-extras
 
 Package: git-extras
 Architecture: all

## git-extras 4.6.0

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,17 @@
 PREFIX ?= /usr/local
 BINPREFIX ?= "$(PREFIX)/bin"
-MANPREFIX ?= "$(PREFIX)/share/man/man1"
+
+OS = $(shell uname)
+ifeq ($(OS), FreeBSD)
+	MANPREFIX ?= "$(PREFIX)/man/man1"
+else
+	MANPREFIX ?= "$(PREFIX)/share/man/man1"
+endif
+
 SYSCONFDIR ?= $(PREFIX)/etc
 BINS = $(wildcard bin/git-*)
 MANS = $(wildcard man/git-*.md)
+MAN_BINS = $(filter-out man/git-extras.md, $(MANS))
 MAN_HTML = $(MANS:.md=.html)
 MAN_PAGES = $(MANS:.md=.1)
 CODE_DIR := $(dir $(abspath $(lastword $(MAKEFILE_LIST))))
@@ -59,10 +67,30 @@
 	@mkdir -p $(DESTDIR)$(SYSCONFDIR)/bash_completion.d
 	cp -f etc/bash_completion.sh $(DESTDIR)$(SYSCONFDIR)/bash_completion.d/git-extras
 	@echo ""
-	@echo "If you are a zsh user, you may want to 'source $(CODE_DIR)/etc/git-extras-completion.zsh'" \
+	@echo "If you are a zsh user, you may want to 'source $(CODE_DIR)etc/git-extras-completion.zsh'" \
 		"and put this line into ~/.zshrc to enable zsh completion"
 
-man/%.html: man/%.md
+man/index.txt: $(MANS)
+	echo '# manuals' > $@.tmp
+	for file in $(sort $^) ; do \
+		extra=$${file%.md} ; \
+		extra=$${extra#man/} ; \
+		echo "$$extra(1) $$extra" >> $@.tmp ; \
+	done
+	mv -f $@.tmp $@
+
+man/git-extras.md: $(MAN_BINS)
+	ln=$$(awk '/## COMMANDS/{print NR};' $@) ; \
+	awk "NR <= $$ln+1" $@ > $@.tmp
+	for file in $(sort $^) ; do \
+		head -n1 $$file | \
+		sed 's/^/   - **/;s/ -- /** /' >> $@.tmp ; \
+	done
+	ln=$$(awk '/## AUTHOR/{print NR};' $@) ; \
+	awk "NR >= $$ln-1" $@ >> $@.tmp
+	mv -f $@.tmp $@
+
+man/%.html: man/%.md man/index.txt
 	ronn \
 		--manual "Git Extras" \
 		--html \

=== debian/changelog ===
git-extras (4.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.2.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 10 Sep 2018 18:50:01 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper (>= 11), ronn
-Standards-Version: 4.1.5
+Standards-Version: 4.2.1
 Homepage: https://github.com/tj/git-extras
 
 Package: git-extras

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,9 @@
 
 override_dh_auto_install:
 	dh_auto_install -- PREFIX=/usr SYSCONFDIR=/usr/share
+	mkdir -p $(PKGDIR)/usr/share/zsh/vendor-completions/
+	install -m0644 -p $(CURDIR)/etc/git-extras-completion.zsh \
+		$(PKGDIR)/usr/share/zsh/vendor-completions/_git-extras
 	rm $(PKGDIR)/usr/bin/git-gh-pages
 
 %:

=== debian/watch ===
version=3
https://github.com/tj/git-extras/tags .*/git-extras/archive/v?(\d.*)\.(?:tgz|tar\.(?:gz|bz2|xz))

## git-extras 4.7.0

=== debian/changelog ===
git-extras (4.7.0-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 26 Jul 2019 17:59:18 +0000

## git-extras 5.0.0

=== debian/changelog ===
git-extras (5.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 20 Aug 2019 20:14:29 +0000

## git-extras 5.1.0

=== Makefile ===
--- 
+++ 
@@ -25,7 +25,12 @@
 
 docs: $(MAN_HTML) $(MAN_PAGES)
 
-install:
+check:
+	@echo "Check dependencies before installation"
+	@./check_dependencies.sh
+	@echo
+
+install: check
 	@if [ "$(INSTALL_VIA)" = brew ]; then \
 		git apply brew-release.patch || { echo "Can't apply brew release patch"; exit 1; } \
 	fi
@@ -120,4 +125,4 @@
 	rm -f man/*.1
 	rm -f man/*.html
 
-.PHONY: default docs clean docclean install uninstall
+.PHONY: default docs clean docclean check install uninstall

=== debian/changelog ===
git-extras (5.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.4.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 29 Dec 2019 09:29:19 +0000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: vcs
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 11), ronn
-Standards-Version: 4.2.1
+Build-Depends: debhelper-compat (= 11), ronn
+Standards-Version: 4.4.1
 Homepage: https://github.com/tj/git-extras
 
 Package: git-extras

## git-extras 6.0.0

=== debian/changelog ===
git-extras (6.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove obsolete patches.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 27 Jun 2020 13:22:18 +0200

git-extras (5.1.0-2) unstable; urgency=medium

  * Add bsdextrautils build dependency (closes: #963422).
  * Update debhelper level to 12 .
  * Update Standards-Version to 4.5.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 21 Jun 2020 22:57:19 +0200

## git-extras 6.1.0

=== Makefile ===
--- 
+++ 
@@ -74,6 +74,8 @@
 	@echo ""
 	@echo "If you are a zsh user, you may want to 'source $(CODE_DIR)etc/git-extras-completion.zsh'" \
 		"and put this line into ~/.zshrc to enable zsh completion"
+	@echo "If you are a fish user, you may want to copy or link '$(CODE_DIR)etc/git-extras.fish'" \
+		"to '~/.config/fish/completions/'"
 
 man/index.txt: $(MANS)
 	echo '# manuals' > $@.tmp

=== debian/changelog ===
git-extras (6.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 04 Oct 2020 22:40:20 +0200

=== debian/control ===
Source: git-extras
Section: vcs
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper-compat (= 12), bsdextrautils, ronn
Standards-Version: 4.5.0
Homepage: https://github.com/tj/git-extras

Package: git-extras
Architecture: all
Depends: git, ${misc:Depends}
Description: Extra commands for git
 This package provides extra git commands to easily solve typical tasks such as
 managing remote branches, managing feature/refactor/bug workflows and generate
 some repository stats.

=== debian/watch ===
version=4
https://github.com/tj/git-extras/tags .*/git-extras/archive/v?(\d.*)\.(?:tgz|tar\.(?:gz|bz2|xz))

## git-extras 6.4.0

=== debian/changelog ===
git-extras (6.4.0-1) unstable; urgency=medium

  * New upstream release (closes: #1016634).
  * Update watch file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 09 Aug 2022 15:10:02 +0200

## git-extras 6.5.0

=== Makefile ===
--- 
+++ 
@@ -69,8 +69,8 @@
 		cp -f man/git-*.1 $(DESTDIR)$(MANPREFIX); \
 		echo "cp -f man/git-*.1 $(DESTDIR)$(MANPREFIX)"; \
 	fi
-	@mkdir -p $(DESTDIR)$(SYSCONFDIR)/bash_completion.d
-	cp -f etc/bash_completion.sh $(DESTDIR)$(SYSCONFDIR)/bash_completion.d/git-extras
+	@mkdir -p $(DESTDIR)$(SYSCONFDIR)/bash-completion/completions
+	cp -f etc/bash_completion.sh $(DESTDIR)$(SYSCONFDIR)/bash-completion/completions/git-extras
 	@echo ""
 	@echo "If you are a zsh user, you may want to 'source $(CODE_DIR)etc/git-extras-completion.zsh'" \
 		"and put this line into ~/.zshrc to enable zsh completion"
@@ -119,7 +119,7 @@
 		echo "... uninstalling $(DESTDIR)$(MANPREFIX)/$(notdir $(MAN))"; \
 		rm -f $(DESTDIR)$(MANPREFIX)/$(notdir $(MAN)); \
 	)
-	rm -f $(DESTDIR)$(SYSCONFDIR)/bash_completion.d/git-extras
+	rm -f $(DESTDIR)$(SYSCONFDIR)/bash-completion/completions/git-extras
 
 clean: docclean

=== debian/changelog ===
git-extras (6.5.0-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 14 Oct 2022 20:30:39 +0200

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
 
 Package: git-extras
 Architecture: all
+Multi-Arch: foreign
 Depends: git, ${misc:Depends}
 Description: Extra commands for git
  This package provides extra git commands to easily solve typical tasks such as

=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,6 @@
 	rm $(PKGDIR)/usr/bin/git-gh-pages
 
 %:
-	dh $@ 
+	dh $@
 
 .PHONY: override_dh_auto_build override_dh_auto_install

## git-extras 7.0.0

=== debian/changelog ===
git-extras (7.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Update debhelper level to 13 .
  * Update Standards-Version to 4.6.2 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 07 Sep 2023 10:11:50 +0000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: vcs
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper-compat (= 12), bsdextrautils, ronn
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 13), bsdextrautils, ronn
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Homepage: https://github.com/tj/git-extras
 
 Package: git-extras

## git-extras 7.1.0

=== debian/changelog ===
git-extras (7.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 15 Nov 2023 22:02:11 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: vcs
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper-compat (= 13), bsdextrautils, ronn
+Build-Depends: debhelper-compat (= 13), bsdextrautils, ronn,
+ python3-pytest <!nocheck>, python3-git <!nocheck>
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/tj/git-extras

## git-extras 7.2.0

=== debian/changelog ===
git-extras (7.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.7.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 12 May 2024 09:26:39 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper-compat (= 13), bsdextrautils, ronn,
- python3-pytest <!nocheck>, python3-git <!nocheck>
-Standards-Version: 4.6.2
+ python3-pytest <!nocheck>, python3-testpath  <!nocheck>,
+ python3-git <!nocheck>
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/tj/git-extras

## git-extras 7.3.0

=== debian/changelog ===
git-extras (7.3.0-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 25 Oct 2024 20:30:37 +0200

## git-extras 7.4.0

=== Makefile ===
--- 
+++ 
@@ -1,14 +1,25 @@
 PREFIX ?= /usr/local
 BINPREFIX ?= "$(PREFIX)/bin"
+SYSCONFDIR ?= $(PREFIX)/etc
+SHELL := bash
 
 OS = $(shell uname)
 ifeq ($(OS), FreeBSD)
 	MANPREFIX ?= "$(PREFIX)/man/man1"
+	ifeq ($(MANPREFIX), /usr/local)
+		MANPREFIX = "/usr/local/man/man1"
+	endif
 else
 	MANPREFIX ?= "$(PREFIX)/share/man/man1"
 endif
+ifeq ($(OS), Darwin)
+	COMPL_DIR ?= "$(DESTDIR)$(SYSCONFDIR)/bash_completion.d"
+else ifeq ($(OS), FreeBSD)
+	COMPL_DIR ?= "$(DESTDIR)$(SYSCONFDIR)/bash_completion.d"
+else
+	COMPL_DIR ?= "$(DESTDIR)$(SYSCONFDIR)/bash-completion/completions"
+endif
 
-SYSCONFDIR ?= $(PREFIX)/etc
 BINS = $(wildcard bin/git-*)
 MANS = $(wildcard man/git-*.md)
 MAN_BINS = $(filter-out man/git-extras.md, $(MANS))
@@ -34,22 +45,24 @@
 	@if [ "$(INSTALL_VIA)" = brew ]; then \
 		git apply brew-release.patch || { echo "Can't apply brew release patch"; exit 1; } \
 	fi
-	@mkdir -p $(DESTDIR)$(MANPREFIX)
-	@mkdir -p $(DESTDIR)$(BINPREFIX)
-	@echo "... installing bins to $(DESTDIR)$(BINPREFIX)"
-	@echo "... installing man pages to $(DESTDIR)$(MANPREFIX)"
+	mkdir -p $(DESTDIR)$(MANPREFIX)
+	mkdir -p $(DESTDIR)$(BINPREFIX)
+	@echo '... installing bins to '$(DESTDIR)$(BINPREFIX)
+	@echo '... installing man pages to '$(DESTDIR)$(MANPREFIX)
 	$(eval TEMPFILE := $(shell mktemp -q $${TMPDIR:-/tmp}/git-extras.XXXXXX 2>/dev/null || mktemp -q))
 	@# chmod from rw-------(default) to rwxrwxr-x, so that users can exec the scripts
 	@chmod 775 $(TEMPFILE)
 	$(eval EXISTED_ALIASES := $(shell \
-		git config --get-regexp 'alias.*' | awk '{print "git-" substr($$1, 7)}'))
+		git config --get-regexp 'alias\..*' | awk '{print "git-" substr($$1, 7)}'))
 	@$(foreach COMMAND, $(COMMANDS), \
-		disable=''; \
-		if test ! -z "$(filter $(COMMAND), $(EXISTED_ALIASES))"; then \
-			read -p "$(COMMAND) conflicts with an alias, still install it and disable the alias? [y/n]" answer; \
-			test "$$answer" = 'n' -o "$$answer" = 'N' && disable="true"; \
+		should_install='yes'; \
+		if [ ! -z "$(filter $(COMMAND), $(EXISTED_ALIASES))" ] && [ "$$SKIP_CONFLICT_CHECK" != yes ]; then \
+			read -p "$(COMMAND) conflicts with an alias, still install it? [y/n]: " answer; \
+			if [ "$$answer" = 'n' ] || [ "$$answer" = 'N' ]; then \
+				should_install="no"; \
+			fi; \
 		fi; \
-		if test -z "$$disable"; then \
+		if [ "$$should_install" = 'yes' ]; then \
 			echo "... installing $(COMMAND)"; \
 			head -1 bin/$(COMMAND) > $(TEMPFILE); \
 			cat $(LIB) >> $(TEMPFILE); \
@@ -69,8 +82,8 @@
 		cp -f man/git-*.1 $(DESTDIR)$(MANPREFIX); \
 		echo "cp -f man/git-*.1 $(DESTDIR)$(MANPREFIX)"; \
 	fi
-	@mkdir -p $(DESTDIR)$(SYSCONFDIR)/bash-completion/completions
-	cp -f etc/bash_completion.sh $(DESTDIR)$(SYSCONFDIR)/bash-completion/completions/git-extras
+	@mkdir -p $(COMPL_DIR)
+	cp -f etc/bash_completion.sh $(COMPL_DIR)/git-extras
 	@echo ""
 	@echo "If you are a zsh user, you may want to 'source $(CODE_DIR)etc/git-extras-completion.zsh'" \
 		"and put this line into ~/.zshrc to enable zsh completion"
@@ -119,7 +132,7 @@
 		echo "... uninstalling $(DESTDIR)$(MANPREFIX)/$(notdir $(MAN))"; \
 		rm -f $(DESTDIR)$(MANPREFIX)/$(notdir $(MAN)); \
 	)
-	rm -f $(DESTDIR)$(SYSCONFDIR)/bash-completion/completions/git-extras
+	rm -f $(COMPL_DIR)/git-extras
 
 clean: docclean
 
@@ -127,4 +140,7 @@
 	rm -f man/*.1
 	rm -f man/*.html
 
-.PHONY: default docs clean docclean check install uninstall
+test:
+	pytest
+
+.PHONY: default docs check install uninstall clean docclean test

=== debian/changelog ===
git-extras (7.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.7.2 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 04 Aug 2025 17:20:20 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper-compat (= 13), bsdextrautils, ronn,
  python3-pytest <!nocheck>, python3-testpath  <!nocheck>,
  python3-git <!nocheck>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/tj/git-extras

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,13 @@
 #export DH_VERBOSE=1
 
 PKGDIR=$(CURDIR)/debian/git-extras/
+
+override_dh_auto_clean:
+	dh_clean
+	# autogenerated files
+	$(RM) $(CURDIR)/man/*.1 $(CURDIR)/man/*.html
+	# test files
+	$(RM) -r $(CURDIR)/.pytest_cache/
 
 override_dh_auto_build:
 	dh_auto_build -- docs
@@ -19,4 +26,5 @@
 %:
 	dh $@
 
-.PHONY: override_dh_auto_build override_dh_auto_install
+.PHONY: override_dh_auto_clean override_dh_auto_build \
+	override_dh_auto_install

=== debian/watch ===
version=4
opts=uversionmangle=s/^(SNAPSHOT|RELEASE)\.//;s/(\d+)[_-](\d+)[_-](\d+)/\$1.\$2.\$3/;s/(\d+)[_-](\d+)/\$1.\$2/;s/(\d)[_\.\-\+]?((rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/;s/(\d)[_\.\-\+]?RC[\-\.]?(\d*)$/$1~rc$2/,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//i \
https://github.com/tj/git-extras/tags \
(?:|.*/)[vV]?(\d\S*)@ARCHIVE_EXT@
